#ifndef COMMON_H
#define COMMON_H

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <SDL/SDL.h>
#include <SDL_image.h>
#include <GL/gl.h>
#include <GL/glu.h>
#include <GL/glut.h>

int sdl_error()
{
	printf("SDL error %s\n", SDL_GetError());
	return 1;
}

int gl_print_error()
{
    GLenum error;
    error = glGetError();
    if (error == GL_NO_ERROR) {
        return 0;
    }
    printf("%s", glGetString(error));
    return 1;
}


#endif
